Package com.android.server.os

# Enum Class LinphoneTombstoneProtos.Architecture

java.lang.Object
java.lang.Enum<LinphoneTombstoneProtos.Architecture>
com.android.server.os.LinphoneTombstoneProtos.Architecture

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<LinphoneTombstoneProtos.Architecture>`, `Constable`

Enclosing class:
  LinphoneTombstoneProtos

public static enum LinphoneTombstoneProtos.Architecture extends Enum<LinphoneTombstoneProtos.Architecture> implements com.google.protobuf.Internal.EnumLite
Protobuf enum `Architecture`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARM32`
`ARM32 = 0;`
`ARM64`
`ARM64 = 1;`
`RISCV64`
`RISCV64 = 4;`
`UNRECOGNIZED`
`X86`
`X86 = 2;`
`X86_64`
`X86_64 = 3;`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ARM32_VALUE`
`ARM32 = 0;`
`static final int`
`ARM64_VALUE`
`ARM64 = 1;`
`static final int`
`RISCV64_VALUE`
`RISCV64 = 4;`
`static final int`
`X86_64_VALUE`
`X86_64 = 3;`
`static final int`
`X86_VALUE`
`X86 = 2;`

## Method Summary

Modifier and Type
Method
Description
`static LinphoneTombstoneProtos.Architecture`
`forNumber(int value)`
`final int`
`getNumber()`
`static com.google.protobuf.Internal.EnumLiteMap<LinphoneTombstoneProtos.Architecture>`
`internalGetValueMap()`
`static com.google.protobuf.Internal.EnumVerifier`
`internalGetVerifier()`
`static LinphoneTombstoneProtos.Architecture`
`valueOf(int value)`
Deprecated.
`static LinphoneTombstoneProtos.Architecture`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LinphoneTombstoneProtos.Architecture[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ARM32

public static final LinphoneTombstoneProtos.Architecture ARM32
`ARM32 = 0;`

### ARM64

public static final LinphoneTombstoneProtos.Architecture ARM64
`ARM64 = 1;`

### X86

public static final LinphoneTombstoneProtos.Architecture X86
`X86 = 2;`

### X86_64

public static final LinphoneTombstoneProtos.Architecture X86_64
`X86_64 = 3;`

### RISCV64

public static final LinphoneTombstoneProtos.Architecture RISCV64
`RISCV64 = 4;`

### UNRECOGNIZED

public static final LinphoneTombstoneProtos.Architecture UNRECOGNIZED

## Field Details

### ARM32_VALUE

public static final int ARM32_VALUE
`ARM32 = 0;`

See Also:
  - Constant Field Values

### ARM64_VALUE

public static final int ARM64_VALUE
`ARM64 = 1;`

See Also:
  - Constant Field Values

### X86_VALUE

public static final int X86_VALUE
`X86 = 2;`

See Also:
  - Constant Field Values

### X86_64_VALUE

public static final int X86_64_VALUE
`X86_64 = 3;`

See Also:
  - Constant Field Values

### RISCV64_VALUE

public static final int RISCV64_VALUE
`RISCV64 = 4;`

See Also:
  - Constant Field Values

## Method Details

### values

public static LinphoneTombstoneProtos.Architecture[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LinphoneTombstoneProtos.Architecture valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`

### valueOf

@Deprecated public static LinphoneTombstoneProtos.Architecture valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static LinphoneTombstoneProtos.Architecture forNumber(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<LinphoneTombstoneProtos.Architecture> internalGetValueMap()

### internalGetVerifier

public static com.google.protobuf.Internal.EnumVerifier internalGetVerifier()